Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519900 - [RFE] Allow running pre 2.x DB data validation step independently via cpdb
Summary: [RFE] Allow running pre 2.x DB data validation step independently via cpdb
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.9.54
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 0.9.54
Assignee: Chris "Ceiu" Rog
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: 1519904 1530686
TreeView+ depends on / blocked
 
Reported: 2017-12-01 16:32 UTC by Michael Stead
Modified: 2018-01-03 16:11 UTC (History)
2 users (show)

Fixed In Version: candlepin-0.9.54.26-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1519904 (view as bug list)
Environment:
Last Closed: 2017-12-07 16:23:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin candlepin pull 1831 None None None 2017-12-01 22:01:05 UTC

Description Michael Stead 2017-12-01 16:32:35 UTC
Data validation should be done before candlepin is upgraded from 0.9.x to 2.x. Currently candlepin does this during the 2.x DB upgrade process via liquibase.

It would be better to be able to perform the validation 'on demand' before any actual update occurs.

cpdb should be updated to enable running the validation step independently, before updating to 2.x, so that any issues can be addressed before the actual upgrade begins.


Note You need to log in before you can comment on or make changes to this bug.